/* A graph-theory style vertex with cartesian coordinates
 *
 */

#ifndef _VERTEX_H_
#define _VERTEX_H_

#include <list>
using std::list;

class Vertex
{
  public:
    Vertex(int x, int y, int z, int r, int colour = 0, int score = 0);
    virtual ~Vertex();

    int x;
    int y;
    int z;
    int r;
    int colour;
    int score;

    list<Vertex*> neighbors;
};

#endif
